Forums

The witcher 1.5

Une solution légale?

Auteur Réponses
vormav Lundi 27 Juillet 2009 à 15:06
vormavAnonymous

Bonjour,
J'ai the Witcher 1.0. J'ai essayé de l'installer avec POL. L'installation semble avoir fonctionnée jusqu'à l'apparition d'une nouvelle fenêtre puis a bloqué. J'ai essayer de finir l'installation puis de lancer le jeux mais le jeu ne se lance pas. Du coup j'ai désinstallé complètement le jeu.

En fait le but serait d'installer successivement les versions 1.0 depuis le CD, le patch 1.4 puis le patch 1.5 car ce dernier est censé enlever la protection DRM et permettre de faire marcher le jeu en no-cd. En plus c'est légal !

Mais dans mon cas je n'ai pas réussi à installer le 1.4 car j'ai pas réussi à lancer le 1.0 et donc pas de moyen de l'authentifier... grumph

Alors si quelqu'un arrive à faire un script qui combine les 3 installations successives je veux bien le tester :D

Merci!
BlondVador Mercredi 29 Juillet 2009 à 19:19
BlondVador
Modérateur

Apparament il faut que tu télécharges un No CD de la version 1.0 afin d'accéder aux MAJ supérieures.

C'est donc illégal, cependant une fois que tu auras réussi à progresser dans ton installation, tiens-nous au courant.

Sâche cependant qu'en cas de problème, nous ne pourrons t'aider.

vormav Jeudi 30 Juillet 2009 à 18:00
vormavAnonymous

Arf... moi qui voulais rester dans la légalité... et à partir de mon installation sur ma partition windows, est il possible de récupérer le jeu patché en 1.5 et du coup de le faire tourner sous linux avec wine (du coup ça risque de poser un problème de base de registre non?)
BlondVador Jeudi 30 Juillet 2009 à 18:09
BlondVador
Modérateur

Théoriquement c'est possible, je l'ai fait avec World of Warcraft.

C'est pas très propre, pas optimisé du tout mais tu peux essayer.

Pour le registre, ça ne devrait pas poser de problème grave, peut-être en manque de performance en jeu n'est pas impossible...

Bref, essaye, tu ne risques rien et surtout c'est légal. Du coup on pourra t'aider en cas de problème.

vormav Lundi 10 Aoüt 2009 à 22:56
vormavAnonymous

Bon, j'ai essayé de copier le dossier de The Witcher de ma partition windows vers la partition linux, voir même de lancer le jeu directement depuis ma partition linux mais ça marche pas. Si quelqu'un a une idée ? ...
vormav Vendredi 18 Décembre 2009 à 10:05
vormavAnonymous

Me revoilà de nouveau sur le forum... (j'ai perdu ma partition windows donc je n'ai plus le choix, il me faut the witcher sous linux !)
J'ai installé ma version 1.0. J'ai dû avoir recours ce que vous savez pour le lancer.
J'ai essayé la mise à jour vers la 1.4. Elle a planté une première fois : attention, le script est bugué : le prefix wine à utiliser est "TheWitcher" et non pas "The Witcher" dans le script.
J'ai modifier le script pour l'utiliser. Cette fois ça a marché mais l'addon me renvoie "votre version n'est pas enregistrée"...
J'ai donc relancé mon jeu et essayé de l'enregistrer : il bugue à la fin de l'enregistrement de la clé et me renvoie un message du type "vous devez accepter les cookies dans internet explorer".
J'ai patché mon prefix avec geckoo mais ça change rien.

Voilà où j'en suis... Je veux bien de l'aide pour ce problème d'enregistrement.
Au passage, je vais essayer de modifier le script de l'addon pour qu'il soit valide.
Merci d'avance.